JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.comm.commspace
Interface CommSpaceable

public interface CommSpaceable

Allows an arbitrary object to be capable of being placed in a CommSpaceElement by providing the necessary copy mechanism.

Method Summary
`java.lang.Object` `deepCopy()`

Method Detail

### deepCopy

    public java.lang.Object deepCopy()

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002